SQLITE3_DB_RELEASE_MEMORY(3) | Library Functions Manual | SQLITE3_DB_RELEASE_MEMORY(3)

# NAME

`sqlite3_db_release_memory` —
Free Memory Used By A Database Connection

# SYNOPSIS

int
`sqlite3_db_release_memory`(sqlite3*);

# DESCRIPTION

The sqlite3_db_release_memory(D) interface attempts to free as much heap memory as possible from database connection D. Unlike the sqlite3_release_memory() interface, this interface is in effect even when the SQLITE_ENABLE_MEMORY_MANAGEMENT compile-time option is omitted.

# SEE ALSO

sqlite3_release_memory(3)

December 19, 2018 | NetBSD 9.5